QGIS Application - Bug report #15474
Impossible to unset map tips on a layer
2016-08-22 12:44 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23400
Description

In vector layer properties > Display, once you chose a field to use for map tip and apply, there seems to not be a way to deactivate it,
except turning off the map tip tool itself. This solution is not the best one given that you can have many layers for which you have activated
the map tip and just want to remove one of them.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-02-27 06:05 PM - Harrissou Santanna

- Affected QGIS version changed from 2.16.1 to 3.0.0

Still true on 3.0 (and 2.18)
Actually the issue is that map tip is an all or nothing operation: enabling it shows a tip for all features/layers and not only the one(s) that may be of interest to

you.
